<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="https://jmix.io/schema/ui/window"
        xmlns:c="https://jmix.io/schema/ui/jpql-condition"
        caption="msg://accountHoldBrowse.caption"
        focusComponent="accountHoldsTable">
    <data readOnly="true">
        <collection id="accountHoldsDc"
                    class="com.company.trade_engine.entity.AccountHold">
            <fetchPlan extends="_base">
                <property name="accountId" fetchPlan="_instance_name"/>
            </fetchPlan>
            <loader id="accountHoldsDl">
                <query>
                    <![CDATA[select e from AccountHold e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="accountHoldsTable" spacing="true">
        <filter id="filter"
                dataLoader="accountHoldsDl">
            <properties include=".*"/>
        </filter>
        <table id="accountHoldsTable"
               width="100%"
               dataContainer="accountHoldsDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
            </actions>
            <columns>
                <column id="accountId"/>
                <column id="amount"/>
                <column id="createdBy"/>
                <column id="createdDate"/>
                <column id="deletedBy"/>
                <column id="deletedDate"/>
                <column id="version"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="accountHoldsTable.create"/>
                <button id="editBtn" action="accountHoldsTable.edit"/>
                <button id="removeBtn" action="accountHoldsTable.remove"/>
            </buttonsPanel>
        </table>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
